<mat-card class="mat-elevation-z4">
  <mat-card-header>
    <h1 class="mat-h1">Dashboard</h1>
  </mat-card-header>
  <div class="grid-container">
    <div class="content" *ngIf="!isArtistView">
      <div fxLayout="row wrap" fxLayoutGap="16px grid">
        <div
          fxFlex="25%"
          fxFlex.xs="100%"
          fxFlex.sm="50%"
          *ngFor="let artist of artists"
        >
          <app-artist-card
            [artist]="artist"
            (click)="artistView(artist)"
          ></app-artist-card>
        </div>
      </div>
    </div>

    <div *ngIf="isArtistView">
      <app-artist-view
        [artist]="viewArtist"
        (closedArtistView)="closedArtistView($event)"
      ></app-artist-view>
    </div>

    <!-- if click on artist show artist view
        if show artist view closed show last artists
     -->
  </div>
</mat-card>
